Bug 1448778 - Review Request: cockatrice - A cross-platform virtual tabletop for multiplayer card games
Summary: Review Request: cockatrice - A cross-platform virtual tabletop for multiplaye...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2017-05-08 05:24 UTC by Link Dupont
Modified: 2017-06-12 21:41 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:24:33 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Link Dupont 2017-05-08 05:24:23 UTC
Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/cockatrice.git/plain/cockatrice.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/cockatrice-2.3.17-1.fc25.src.rpm
Description: Cockatrice is an open-source cross-platform software for playing card games, such as Magic: The Gathering, over a network. It is fully client-server based to prevent any kind of cheating, though it supports single-player games without a network interface as well. Both client and server are written in Qt, supporting both Qt4 and Qt5.
Fedora Account System Username: linkdupont

Comment 1 Tom "spot" Callaway 2017-05-17 15:47:27 UTC
I'm not sure why you flagged this against FE-Legal, but I took a quick look at it nevertheless.

License wise, this has:

*****

* Public Domain (cockatrice/resources/countries/*.svg)
* GPLv2+ (most of the code)
* BSD (cockatrice/src/qt-json/, common/sfmt/, 
* GPLv2 (oracle/src/zip/)
* CPL or LGPLv2 (servatrice/src/smtp/)
# Webclient code (not included?)
* ASL 2.0 (webclient/js/protobuf.js, webclient/js/long.js, webclient/js/bytebuffer.js)
* MIT (webclient/js/jquery-*.js)

*****

I feel like I should stop and point out here that these versions of jquery/jquery-ui are VERY VERY OLD. They are vulnerable to at least https://www.cvedetails.com/cve/CVE-2016-7103/. I strongly strongly recommend that you update them to the "final" releases of the v1 code for both, and have upstream make that change as well.

Back to the licensing, CPL is GPLv2 incompatible, so we choose the LGPLv2 option there. ASL 2.0 is also GPLv2 incompatible, but that code is not being compiled into or linked with GPLv2 code, so it is not a compatibility concern. 

In fact, it does not look like any of the code in webclient is packaged up or used. Unsure if this is intentional (aka, this code is not useful anymore) or accidental (forgot to make a -webclient subpackage). If you do end up including the webclient bits, add this to the end of the license tag:

    ASL 2.0 and MIT

However, I'm going to assume for now that you do not plan to include the webclient bits.

You can choose to update the license tag in two ways:

* The long and absolutely correct way:
License: GPLv2+ and GPLv2 and BSD and (CPL or LGPLv2) and Public Domain

* The simplified way
License: GPLv2 and Public Domain

The reason you can do this is because:
1) We choose LGPLv2 for the smtp code.
2) GPLv2+ + GPLv2 = GPLv2
3) LGPLv2 + GPLv2 = GPLv2
4) BSD + GPLv2 = GPLv2
5) Need to call out Public Domain because that license applies to distinct and separate works (the SVG files)

Either way, please include the above license analysis (the bits between the *****) as a comment above the License tag in the spec file.

If any of that is unclear, please let me know. Lifting FE-Legal.

Comment 2 Antonio Trande 2017-05-18 09:30:16 UTC
Please, update your src-package.
'hicolor-icon-theme' is required.

Comment 4 Link Dupont 2017-05-24 05:28:18 UTC
(In reply to Tom "spot" Callaway from comment #1)
> I'm not sure why you flagged this against FE-Legal, but I took a quick look
> at it nevertheless.

Tom, Thank you for taking the time to review. I meant to comment with my reason but got distracted. I wanted to flag this for legal review because of content this software makes use of. It does not distribute this content; instead it relies on a utility distributed with the program that, at run time, can download content from an external URL and load up a local database of content that is then accessed by the program at run time.

Essentially this package distributes a program called "oracle" that downloads a JSON file hosted externally (defaulting to a URL hosted on http://mtgjson.com). That JSON file is parsed and loaded into a local database for use by the main program.

Additionally, while cards are accessed by the program, images of the image are downloaded from the website of the images' copyright holder.

My question is around the licensing concerns over this content. Are the copyrights on the images or the content of the JSON file of concern in this case? Or since they are downloaded at runtime, does that not come into the scenario of whether this is considered free software.

> License wise, this has:
> 
> *****
> 
> * Public Domain (cockatrice/resources/countries/*.svg)
> * GPLv2+ (most of the code)
> * BSD (cockatrice/src/qt-json/, common/sfmt/, 
> * GPLv2 (oracle/src/zip/)
> * CPL or LGPLv2 (servatrice/src/smtp/)
> # Webclient code (not included?)
> * ASL 2.0 (webclient/js/protobuf.js, webclient/js/long.js,
> webclient/js/bytebuffer.js)
> * MIT (webclient/js/jquery-*.js)
> 
> *****
> 
> I feel like I should stop and point out here that these versions of
> jquery/jquery-ui are VERY VERY OLD. They are vulnerable to at least
> https://www.cvedetails.com/cve/CVE-2016-7103/. I strongly strongly recommend
> that you update them to the "final" releases of the v1 code for both, and
> have upstream make that change as well.

Thank you for pointing this out. I will discuss this with upstream.

> Back to the licensing, CPL is GPLv2 incompatible, so we choose the LGPLv2
> option there. ASL 2.0 is also GPLv2 incompatible, but that code is not being
> compiled into or linked with GPLv2 code, so it is not a compatibility
> concern. 
> 
> In fact, it does not look like any of the code in webclient is packaged up
> or used. Unsure if this is intentional (aka, this code is not useful
> anymore) or accidental (forgot to make a -webclient subpackage). If you do
> end up including the webclient bits, add this to the end of the license tag:
> 
>     ASL 2.0 and MIT
> 
> However, I'm going to assume for now that you do not plan to include the
> webclient bits.

Correct. The way I've built the package, it does not include any webclient code.

> You can choose to update the license tag in two ways:
> 
> * The long and absolutely correct way:
> License: GPLv2+ and GPLv2 and BSD and (CPL or LGPLv2) and Public Domain
> 
> * The simplified way
> License: GPLv2 and Public Domain
> 
> The reason you can do this is because:
> 1) We choose LGPLv2 for the smtp code.
> 2) GPLv2+ + GPLv2 = GPLv2
> 3) LGPLv2 + GPLv2 = GPLv2
> 4) BSD + GPLv2 = GPLv2
> 5) Need to call out Public Domain because that license applies to distinct
> and separate works (the SVG files)
> 
> Either way, please include the above license analysis (the bits between the
> *****) as a comment above the License tag in the spec file.
> 
> If any of that is unclear, please let me know. Lifting FE-Legal.

Comment 5 Antonio Trande 2017-05-24 12:06:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- License analysis from https://bugzilla.redhat.com/show_bug.cgi?id=1448778#c1
  is missing.

- Diff spec file in url and in SRPM.
  Update SPEC file and rebuild the SRPM.

- Consider splitting off language files in separated 'langpacks' packages.
  See
  http://fedoraproject.org/wiki/Packaging:Guidelines#Why_do_we_need_to_use_.25find_lang.3F
  http://fedoraproject.org/wiki/Packaging:Langpacks

- No tests executed:

****
  + ctest -V -j3
UpdateCTestConfiguration  from :/home/sagitter/rpmbuild/BUILD/Cockatrice-2017-05-05-Release-2.3.17/DartConfiguration.tcl
UpdateCTestConfiguration  from :/home/sagitter/rpmbuild/BUILD/Cockatrice-2017-05-05-Release-2.3.17/DartConfiguration.tcl
Test project /home/sagitter/rpmbuild/BUILD/Cockatrice-2017-05-05-Release-2.3.17
Constructing a list of tests
Updating test list for fixtures
Added 0 tests to meet fixture requirements
Checking test dependency graph...
Checking test dependency graph end
No tests were found!!!
****

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "BSD (3 clause)",
     "LGPL (v2.1)", "GPL (v2 or later) (with incorrect FSF address)", "BSD
     (2 clause)", "GPL (v2)". 971 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1448778-cockatrice/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in cockatrice
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 5478400 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: cockatrice-2.3.17-2.fc27.x86_64.rpm
          cockatrice-2.3.17-2.fc27.src.rpm
cockatrice.x86_64: W: spelling-error Summary(en_US) multiplayer -> multiplier, multiplexer
cockatrice.x86_64: W: spelling-error %description -l en_US multiplatform -> multiform, formulation, formulator
cockatrice.x86_64: W: only-non-binary-in-usr-lib
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: no-manual-page-for-binary cockatrice
cockatrice.x86_64: W: no-manual-page-for-binary servatrice
cockatrice.x86_64: W: no-manual-page-for-binary oracle
cockatrice.src: W: spelling-error Summary(en_US) multiplayer -> multiplier, multiplexer
cockatrice.src: W: spelling-error %description -l en_US multiplatform -> multiform, formulation, formulator
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
cockatrice.x86_64: W: spelling-error Summary(en_US) multiplayer -> multiplier, multiplexer
cockatrice.x86_64: W: spelling-error %description -l en_US multiplatform -> multiform, formulation, formulator
cockatrice.x86_64: W: only-non-binary-in-usr-lib
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: no-manual-page-for-binary cockatrice
cockatrice.x86_64: W: no-manual-page-for-binary oracle
cockatrice.x86_64: W: no-manual-page-for-binary servatrice
1 packages and 0 specfiles checked; 0 errors, 8 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/1448778-cockatrice/srpm/cockatrice.spec	2017-05-24 11:40:00.683817753 +0200
+++ /home/sagitter/1448778-cockatrice/srpm-unpacked/cockatrice.spec	2017-05-24 07:04:49.000000000 +0200
@@ -10,14 +10,5 @@
 Group:		Amusements/Games
 
-# * Public Domain (cockatrice/resources/countries/*.svg)
-# * GPLv2+ (most of the code)
-# * BSD (cockatrice/src/qt-json/, common/sfmt/, 
-# * GPLv2 (oracle/src/zip/)
-# * CPL or LGPLv2 (servatrice/src/smtp/)
-# # Webclient code (not included?)
-# * ASL 2.0 (webclient/js/protobuf.js, webclient/js/long.js,
-# webclient/js/bytebuffer.js)
-# * MIT (webclient/js/jquery-*.js)
-License:	GPLv2 and Public Domain
+License:	GPLv2
 URL:		https://github.com/%{name}/%{name}
 Source0:	https://github.com/%{name}/%{name}/archive/%{gittag0}.tar.gz#/%{name}-%{version}.tar.gz
@@ -103,5 +94,4 @@
 * Tue May 23 2017 Link Dupont <linkdupont@fedoraproject.org> - 2.3.17-2
 - Add hicolor-icon-theme to requires
-- Updated license
 
 * Sun May 7 2017 Link Dupont <linkdupont@fedoraproject.org> - 2.3.17-1


Requires
--------
cockatrice (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Multimedia.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5WebSockets.so.5()(64bit)
    libQt5WebSockets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libprotobuf.so.12()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    wget



Provides
--------
cockatrice:
    appdata()
    appdata(cockatrice.appdata.xml)
    application()
    application(cockatrice.desktop)
    application(oracle.desktop)
    application(servatrice.desktop)
    cockatrice
    cockatrice(x86-64)



Source checksums
----------------
https://github.com/cockatrice/cockatrice/archive/2017-05-05-Release-2.3.17.tar.gz#/cockatrice-2.3.17.tar.gz :
  CHECKSUM(SHA256) this package     : 95f78db3c2f4f93e2b007b92687cb1655ce5d6b23d72aeb85fc043f60748701e
  CHECKSUM(SHA256) upstream package : 95f78db3c2f4f93e2b007b92687cb1655ce5d6b23d72aeb85fc043f60748701e
https://linkdupont.fedorapeople.org/sources/cockatrice.appdata.xml :
  CHECKSUM(SHA256) this package     : 985effc48f8e3a2c70a27fa4c5881f3bbb0639a9cc83f2ea096eaba540ff629b
  CHECKSUM(SHA256) upstream package : 985effc48f8e3a2c70a27fa4c5881f3bbb0639a9cc83f2ea096eaba540ff629b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1448778
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Link Dupont 2017-05-25 04:45:13 UTC
- Removed ctest from %check
- Split out translations into langpacks
- Updated the License tag and rebuilt the SRPM

Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/cockatrice.git/plain/cockatrice.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/cockatrice-2.3.17-3.fc25.src.rpm

Comment 7 Antonio Trande 2017-05-26 17:40:11 UTC
(In reply to Link Dupont from comment #6)
> - Removed ctest from %check
> - Split out translations into langpacks

In this case %find_lang commands do nothing. In fact, lang files are not installed in '%{_datadir}/locale/ar/LC_MESSAGES'.

Try with these macros (as suggested in http://fedoraproject.org/wiki/Packaging:Langpacks):

%define         lang_subpkg() \
%package        langpack-%{1}\
Summary:        %{2} language data for %{name}\
BuildArch:      noarch \
Requires:       %{name} = %{version}-%{release}\
Supplements:    (%{name} = %{version}-%{release} and langpacks-%{1})\
\
%description    langpack-%{1}\
%{2} language data for %{name}.\
\
%files          langpack-%{1}\
%{_datadir}/%{name}/translations/%{name}_%{1}.qm

%lang_subpkg cs Czech
%lang_subpkg de German
%lang_subpkg en English
%lang_subpkg es Spanish
%lang_subpkg et Estonian
%lang_subpkg fr French
%lang_subpkg it Italian
%lang_subpkg ja Japanese
%lang_subpkg ko Korean
%lang_subpkg nb Norwegian
%lang_subpkg nl Dutch
%lang_subpkg pl Polish
%lang_subpkg pt Portuguese
%lang_subpkg pt_BR Brazil
%lang_subpkg ru Russian
%lang_subpkg zh-Hans "Chinese (Simplified)"

%define         lang_subpkg() \
%package        -n oracle-langpack-%{1}\
Summary:        %{2} language data for oracle\
BuildArch:      noarch \
Requires:       %{name} = %{version}-%{release}\
Supplements:    (%{name} = %{version}-%{release} and langpacks-%{1})\
\
%description    -n oracle-langpack-%{1}\
%{2} language data for oracle.\
\
%files          -n oracle-langpack-%{1}\
%{_datadir}/oracle/translations/oracle_%{1}.qm

%lang_subpkg cs Czech
%lang_subpkg de German
%lang_subpkg en English
%lang_subpkg es Spanish
%lang_subpkg et Estonian
%lang_subpkg fr French
%lang_subpkg it Italian
%lang_subpkg ja Japanese
%lang_subpkg ko Korean
%lang_subpkg nb Norwegian
%lang_subpkg nl Dutch
%lang_subpkg pl Polish
%lang_subpkg pt Portuguese
%lang_subpkg pt_BR Brazil
%lang_subpkg ru Russian
%lang_subpkg zh-Hans "Chinese (Simplified)"

Comment 8 Link Dupont 2017-05-29 05:06:32 UTC
- Use a lang_subpkg macro to build langpacks
- Clean up cmake options
- Enable debuginfo package

Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/cockatrice.git/plain/cockatrice.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/cockatrice-2.3.17-4.fc25.src.rpm

Comment 9 Antonio Trande 2017-05-29 16:58:09 UTC
- This software is looking for some private libraries which are not packed/installed:

Error: nothing provides libcockatrice_common.so()(64bit) needed by cockatrice-2.3.17-4.fc25.x86_64.
nothing provides libcockatrice_common.so()(64bit) needed by cockatrice-2.3.17-4.fc25.x86_64

Why are they missing?

- Not all directories are owned:

     Note: No known owner of /usr/share/cockatrice/translations,
     /usr/share/oracle/translations, /usr/share/cockatrice,
     /usr/share/oracle

Comment 10 Link Dupont 2017-05-30 03:57:16 UTC
Fixed up those. I ran fedora-review myself, so I hope I cleared up everything.

Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/cockatrice.git/plain/cockatrice.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/cockatrice-2.3.17-5.fc25.src.rpm

Comment 11 Antonio Trande 2017-05-30 17:12:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Exclude all translation files in main package:

%doc README.md
%license COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/appdata/*
%{_datadir}/%{name}
%{_datadir}/servatrice
%{_datadir}/icons/hicolor/{48x48,scalable}/apps/*
%{_datadir}/oracle
%exclude %{_datadir}/%{name}/translations/%{name}_*.qm
%exclude %{_datadir}/oracle/translations/oracle_*.qm

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "BSD (3 clause)",
     "LGPL (v2.1)", "GPL (v2 or later) (with incorrect FSF address)", "BSD
     (2 clause)", "GPL (v2)". 971 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1448778-cockatrice/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in cockatrice
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     cockatrice-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define lang_subpkg() %package
     langpack-%{1}Summary: %{2} language data for %{name}BuildArch:
     noarchRequires: %{name}%{?_isa} = %{version}-%{release}Supplements:
     (%{name} = %{version}-%{release} and langpacks-%{1})%description
     langpack-%{1}%{2} language data for %{name}.%files
     langpack-%{1}%{_datadir}/%{name}/translations/%{name}_%{1}.qm%{_datadir}/oracle/translations/oracle_%{1}.qm
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 5457920 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cockatrice-2.3.17-5.fc27.x86_64.rpm
          cockatrice-debuginfo-2.3.17-5.fc27.x86_64.rpm
          cockatrice-langpack-cs-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-de-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-en-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-es-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-et-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-fr-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-it-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-ja-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-ko-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-nb-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-nl-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-pl-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-pt-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-pt_BR-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-ru-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-sr-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-sv-2.3.17-5.fc27.noarch.rpm
          cockatrice-langpack-zh-Hans-2.3.17-5.fc27.noarch.rpm
          cockatrice-2.3.17-5.fc27.src.rpm
cockatrice.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
cockatrice.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cockatrice.x86_64: W: only-non-binary-in-usr-lib
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: no-manual-page-for-binary oracle
cockatrice.x86_64: W: no-manual-page-for-binary servatrice
cockatrice.x86_64: W: no-manual-page-for-binary cockatrice
cockatrice-langpack-cs.noarch: W: no-documentation
cockatrice-langpack-de.noarch: W: no-documentation
cockatrice-langpack-en.noarch: W: no-documentation
cockatrice-langpack-es.noarch: W: no-documentation
cockatrice-langpack-et.noarch: W: no-documentation
cockatrice-langpack-fr.noarch: W: no-documentation
cockatrice-langpack-it.noarch: W: no-documentation
cockatrice-langpack-ja.noarch: W: no-documentation
cockatrice-langpack-ko.noarch: W: no-documentation
cockatrice-langpack-nb.noarch: W: no-documentation
cockatrice-langpack-nl.noarch: W: no-documentation
cockatrice-langpack-pl.noarch: W: no-documentation
cockatrice-langpack-pt.noarch: W: no-documentation
cockatrice-langpack-pt_BR.noarch: W: no-documentation
cockatrice-langpack-ru.noarch: W: no-documentation
cockatrice-langpack-sr.noarch: W: no-documentation
cockatrice-langpack-sv.noarch: W: no-documentation
cockatrice-langpack-zh-Hans.noarch: W: no-documentation
cockatrice.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
cockatrice.src: W: spelling-error %description -l en_US multi -> mulch, mufti
cockatrice.src:8: E: buildarch-instead-of-exclusivearch-tag noarch\
21 packages and 0 specfiles checked; 1 errors, 28 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cockatrice-debuginfo-2.3.17-5.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
cockatrice-langpack-de.noarch: W: no-documentation
cockatrice-langpack-ko.noarch: W: no-documentation
cockatrice-langpack-nb.noarch: W: no-documentation
cockatrice-langpack-ru.noarch: W: no-documentation
cockatrice-langpack-cs.noarch: W: no-documentation
cockatrice-langpack-en.noarch: W: no-documentation
cockatrice-langpack-ja.noarch: W: no-documentation
cockatrice-langpack-nl.noarch: W: no-documentation
cockatrice-langpack-et.noarch: W: no-documentation
cockatrice-langpack-zh-Hans.noarch: W: no-documentation
cockatrice-langpack-pt.noarch: W: no-documentation
cockatrice-langpack-sv.noarch: W: no-documentation
cockatrice.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
cockatrice.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cockatrice.x86_64: W: only-non-binary-in-usr-lib
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
cockatrice.x86_64: W: no-manual-page-for-binary cockatrice
cockatrice.x86_64: W: no-manual-page-for-binary oracle
cockatrice.x86_64: W: no-manual-page-for-binary servatrice
cockatrice-langpack-pt_BR.noarch: W: no-documentation
cockatrice-langpack-es.noarch: W: no-documentation
cockatrice-langpack-it.noarch: W: no-documentation
cockatrice-langpack-sr.noarch: W: no-documentation
cockatrice-langpack-fr.noarch: W: no-documentation
cockatrice-langpack-pl.noarch: W: no-documentation
20 packages and 0 specfiles checked; 0 errors, 26 warnings.



Requires
--------
cockatrice-langpack-de (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-ko (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-nb (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-ru (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-cs (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-en (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-ja (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-nl (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-et (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-zh-Hans (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-pt (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-sv (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Multimedia.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5WebSockets.so.5()(64bit)
    libQt5WebSockets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libprotobuf.so.12()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    wget

cockatrice-langpack-pt_BR (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-es (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-it (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-sr (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-langpack-fr (rpmlib, GLIBC filtered):
    cockatrice(x86-64)

cockatrice-debuginfo (rpmlib, GLIBC filtered):

cockatrice-langpack-pl (rpmlib, GLIBC filtered):
    cockatrice(x86-64)



Provides
--------
cockatrice-langpack-de:
    cockatrice-langpack-de

cockatrice-langpack-ko:
    cockatrice-langpack-ko

cockatrice-langpack-nb:
    cockatrice-langpack-nb

cockatrice-langpack-ru:
    cockatrice-langpack-ru

cockatrice-langpack-cs:
    cockatrice-langpack-cs

cockatrice-langpack-en:
    cockatrice-langpack-en

cockatrice-langpack-ja:
    cockatrice-langpack-ja

cockatrice-langpack-nl:
    cockatrice-langpack-nl

cockatrice-langpack-et:
    cockatrice-langpack-et

cockatrice-langpack-zh-Hans:
    cockatrice-langpack-zh-Hans

cockatrice-langpack-pt:
    cockatrice-langpack-pt

cockatrice-langpack-sv:
    cockatrice-langpack-sv

cockatrice:
    appdata()
    appdata(cockatrice.appdata.xml)
    application()
    application(cockatrice.desktop)
    application(oracle.desktop)
    application(servatrice.desktop)
    cockatrice
    cockatrice(x86-64)

cockatrice-langpack-pt_BR:
    cockatrice-langpack-pt_BR

cockatrice-langpack-es:
    cockatrice-langpack-es

cockatrice-langpack-it:
    cockatrice-langpack-it

cockatrice-langpack-sr:
    cockatrice-langpack-sr

cockatrice-langpack-fr:
    cockatrice-langpack-fr

cockatrice-debuginfo:
    cockatrice-debuginfo
    cockatrice-debuginfo(x86-64)

cockatrice-langpack-pl:
    cockatrice-langpack-pl



Source checksums
----------------
https://github.com/cockatrice/cockatrice/archive/2017-05-05-Release-2.3.17.tar.gz#/cockatrice-2.3.17.tar.gz :
  CHECKSUM(SHA256) this package     : 95f78db3c2f4f93e2b007b92687cb1655ce5d6b23d72aeb85fc043f60748701e
  CHECKSUM(SHA256) upstream package : 95f78db3c2f4f93e2b007b92687cb1655ce5d6b23d72aeb85fc043f60748701e
https://linkdupont.fedorapeople.org/sources/cockatrice.appdata.xml :
  CHECKSUM(SHA256) this package     : 985effc48f8e3a2c70a27fa4c5881f3bbb0639a9cc83f2ea096eaba540ff629b
  CHECKSUM(SHA256) upstream package : 985effc48f8e3a2c70a27fa4c5881f3bbb0639a9cc83f2ea096eaba540ff629b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1448778
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Link Dupont 2017-06-02 04:59:23 UTC
(In reply to Antonio Trande from comment #11)

> - Exclude all translation files in main package:

Doh. I added those two excludes.

Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/cockatrice.git/plain/cockatrice.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/cockatrice-2.3.17-5.fc25.src.rpm

Comment 13 Antonio Trande 2017-06-02 08:38:17 UTC
Package approved.

Comment 14 Gwyn Ciesla 2017-06-02 14:44:31 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/cockatrice

Comment 15 Fedora Update System 2017-06-03 04:59:21 UTC
cockatrice-2.3.17-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ccfa72ff5

Comment 16 Fedora Update System 2017-06-03 04:59:59 UTC
cockatrice-2.3.17-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54dfd06b53

Comment 17 Fedora Update System 2017-06-03 05:00:59 UTC
cockatrice-2.3.17-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b23dedc563

Comment 18 Fedora Update System 2017-06-04 19:42:16 UTC
cockatrice-2.3.17-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b23dedc563

Comment 19 Fedora Update System 2017-06-05 01:58:21 UTC
cockatrice-2.3.17-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ccfa72ff5

Comment 20 Fedora Update System 2017-06-05 02:00:14 UTC
cockatrice-2.3.17-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54dfd06b53

Comment 21 Fedora Update System 2017-06-09 19:24:33 UTC
cockatrice-2.3.17-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-06-12 19:28:35 UTC
cockatrice-2.3.17-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-12 21:41:12 UTC
cockatrice-2.3.17-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.